summaryrefslogtreecommitdiffstats
path: root/debian/amd64-microcode.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 19:44:24 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-08 19:44:24 +0000
commit22d613e1149cf31e00a1a65baed724b22e30b1f7 (patch)
treebf6c4c25cf662a8f3206df0b9b0645277b44fbf0 /debian/amd64-microcode.postrm
parentAdding upstream version 3.20240116.2. (diff)
downloadamd64-microcode-66696daec79e61a99285cc58ea7618c888e7d2ca.tar.xz
amd64-microcode-66696daec79e61a99285cc58ea7618c888e7d2ca.zip
Adding debian version 3.20240116.2.debian/3.20240116.2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'debian/amd64-microcode.postrm')
-rw-r--r--debian/amd64-microcode.postrm42
1 files changed, 42 insertions, 0 deletions
diff --git a/debian/amd64-microcode.postrm b/debian/amd64-microcode.postrm
new file mode 100644
index 0000000..c775b42
--- /dev/null
+++ b/debian/amd64-microcode.postrm
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postrm script for amd64-microcode
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postrm> `remove'
+# * <postrm> `purge'
+# * <old-postrm> `upgrade' <new-version>
+# * <new-postrm> `failed-upgrade' <old-version>
+# * <new-postrm> `abort-install'
+# * <new-postrm> `abort-install' <old-version>
+# * <new-postrm> `abort-upgrade' <old-version>
+# * <disappearer's-postrm> `disappear' <overwriter>
+# <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+case "$1" in
+ purge|remove)
+ if [ -x /usr/sbin/update-initramfs -a -e /etc/initramfs-tools/initramfs.conf ] ; then
+ update-initramfs -u
+ fi
+ ;;
+
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0